package com.ydl.ydlcommon.mvp.lce

import androidx.annotation.UiThread
import com.ydl.ydlcommon.mvp.base.IView

/**
 * Created by haorui on 2019-08-14.
 * Des: Lce View 接口类，所有使用Lce架构的View必须实现
 */
interface ILceView : IView{

    @UiThread
    fun showLoading()

    @UiThread
    fun hideLoading()

    @UiThread
    fun showError(msg: String)

    @UiThread
    fun showEmpty(msg: String)

    @UiThread
    fun reLoadData()

}
